<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dice</title>
    <link rel="stylesheet" href="{{url_for('static', filename='./css/main.css')}}">

</head>

<body>



    <div class="dice">
        <p class="result">Result: {{result_data["result"]}}</p>
        <div class="modif_box">
            <form method="post">
                <label for="side">Sides:</label>
                <input type="number" name="side" id="side" , placeholder="Sides" value="{{modifiers[0]}}" min=3>
                <label for="modifier">Modifier:</label>
                <input type="number" name="modifier" id="modifier" , placeholder="Modifier" value="{{modifiers[1]}}">
                <label for="dices">Dices' number:</label>
                <input type="number" name="dices" id="dices" , placeholder="Dices" value="{{modifiers[2]}}" min=1>
                <input type="submit" value="OK" id="submint_btn">
            </form>

            <!-- print each throw one by one-->
            {%for throw in throws %}
            <h1>Throw No.{{loop.index}}: {{throw}}</h1>
            {%endfor%}
        </div>

</body>

</html>